--- title: "Add Domain Name to Callback Detector Allowlist" slug: "add-domain-name-to-callback-detector-allowlist-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/add-domain-name-to-callback-detector-allowlist-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Add Domain Name to Callback Detector Allowlist This URL adds domain name to callback detection allowlist. ### Resource URL POST /domainnameexceptions ### Request Parameters URL Parameters: None Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `domainName` | Name of the new domain | String | Yes | | `comment` | Description of exception | String | No | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `createdResourceId` | Unique id of the created domain name exception. | Number | ### Example **Request** POST [https:///sdkapi/domainnameexceptions](https://<NSM_IP>/sdkapi/domainnameexceptions) **Payload** ``` { "domainName": "www.google1.com", "comment": "updated domain" } ``` **Response** ``` { "createdResourceId": 1 } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error message: Internal server error | | 2 | 500 | 1001 | Internal error message: Domain name field is required | | 3 | 500 | 1001 | Invalid domain name. The length should be a maximum of 67 characters. | | 4 | 500 | 1001 | Invalid domain name | | 5 | 500 | 1001 | Duplicate domain name |